/* **********************************************************************************
 *
 * Copyright (c) TMF.AscendedThemeKit.Unthemed.NET Project. All rights reserved.
 *
 * This source code is subject to terms and conditions of the Shared Source License
 * for TMF.AscendedThemeKit.Unthemed. A copy of the license can be found in the License.html file
 * at the root of this distribution. If you can not locate the Shared Source License
 * for TMF.AscendedThemeKit.Unthemed, please send an email to ascend_adm@hotmail.com.
 * By using this source code in any fashion, you are agreeing to be bound by
 * the terms of the Shared Source License for TMF.AscendedThemeKit.Unthemed.NET.
 *
 * You must not remove this notice, or any other, from this software.
 *
 * **********************************************************************************/

using System;
using System.Collections.Generic;
using System.Text;

namespace TMF.AscendedThemeKit.Unthemed.Windows.Forms
{
    /// <summary>
    /// Specifies the locations of the tabs in a gradient tab control. 
    /// </summary>
    public enum GradientTabAlignment
    {
        /// <summary>
        /// The tabs are located across the top of the control. 
        /// </summary>
        Top,
        /// <summary>
        /// The tabs are located across the bottom of the control.
        /// </summary>
        Bottom,
        /// <summary>
        /// The tabs are located along the left edge of the control.
        /// </summary>
        Left,
        /// <summary>
        /// The tabs are located along the right edge of the control. 
        /// </summary>
        Right

    }

}
